package com.example.services;

import com.example.MyResult;
import com.example.api.R;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 * Created by wangh on 2021/1/14-10:10。
 */
@WebService(targetNamespace = "http://service.example.com/" ,name = "authorPortType")
public interface IService {
    /**
     * 入库开始读
     *
     * @param messageHeader
     * @param containerRegisterQuery
     * @param opOrgCode              机构代码
     * @param userCode               登录人代码
     * @param userName               登录人名称
     * @param province               省份代码
     * @param pdaip
     * @return
     */
    @WebMethod
    R getScanInfoInCenterStart(
                                      @WebParam(name = "pdaip") String pdaip);
//    MyResult getScanInfoInCenterStart(@WebParam(name = "messageHeader") String messageHeader,
//                                      @WebParam(name = "ContainerRegisterQuery") String ContainerRegisterQuery,
//                                      @WebParam(name = "opOrgCode") String opOrgCode,
//                                      @WebParam(name = "userCode") String userCode,
//                                      @WebParam(name = "userName") String userName,
//                                      @WebParam(name = "province") String province,
//                                      @WebParam(name = "pdaip") String pdaip);

    /**
     * 入库 结束读
     *
     * @param messageHeader          入参1，参数名：
     * @param containerRegisterQuery 入参2，将下列参数封装到containerRegisterQuery
     * @param opOrgCode              机构代码
     * @param userCode               登录人代码
     * @param userName               登录人名称
     * @param province               省份代码
     * @param pdaip                  指定pda停止读的ip
     * @return
     */
    @WebMethod
    MyResult getScanInfoInCenterStop(@WebParam(name = "messageHeader") String messageHeader,
                                     @WebParam(name = "ContainerRegisterQuery") String containerRegisterQuery,
                                     @WebParam(name = "opOrgCode") String opOrgCode,
                                     @WebParam(name = "userCode") String userCode,
                                     @WebParam(name = "userName") String userName,
                                     @WebParam(name = "province") String province,
                                     @WebParam(name = "pdaip") String pdaip
    );

    /**
     * 出库开始
     *
     * @param messageHeader          入参1，参数名：
     * @param messageHeader
     * @param containerRegisterQuery 入参2，将下列参数封装到containerRegisterQuery
     * @param opOrgCode              机构代码
     * @param opOrgName              省份代码
     * @param userCode               登录人代码
     * @param userName               登录人名称
     * @param provice                省份代码
     * @param rqzlmc                 容器种类名称
     * @param zbid                   总包id
     * @param destinationOrgName     寄达局名称
     * @param destinationOrgCode     寄达局编号
     * @param rqzl                   容器种类
     * @param rqxh                   容器型号
     * @param rqxhmc                 容器型号名称
     * @param pdaip                  指定pda开始读的ip
     */
    @WebMethod
    MyResult getScanInfoOutCenterStart(@WebParam(name = "messageHeader") String messageHeader,
                                       @WebParam(name = "ContainerRegisterQuery") String containerRegisterQuery,
                                       @WebParam(name = "opOrgCode") String opOrgCode,
                                       @WebParam(name = "opOrgName") String opOrgName,
                                       @WebParam(name = "userCode") String userCode,
                                       @WebParam(name = "userName") String userName,
                                       @WebParam(name = "provice") String provice,
                                       @WebParam(name = "rqzlmc") String rqzlmc,
                                       @WebParam(name = "zbid") String zbid,
                                       @WebParam(name = "destinationOrgName") String destinationOrgName,
                                       @WebParam(name = "destinationOrgCode") String destinationOrgCode,
                                       @WebParam(name = "rqzl") String rqzl,
                                       @WebParam(name = "rqxh") String rqxh,
                                       @WebParam(name = "rqxhmc") String rqxhmc,
                                       @WebParam(name = "pdaip") String pdaip
    );

    /**
     * 出库停止
     * @param messageHeader          入参1，参数名：
     * @param messageHeader
     * @param containerRegisterQuery 入参2，将下列参数封装到containerRegisterQuery
     * @param opOrgCode              机构代码
     * @param opOrgName              省份代码
     * @param userCode               登录人代码
     * @param userName               登录人名称
     * @param provice                省份代码
     * @param rqzlmc                 容器种类名称
     * @param zbid                   总包id
     * @param destinationOrgName     寄达局名称
     * @param destinationOrgCode     寄达局编号
     * @param rqzl                   容器种类
     * @param rqxh                   容器型号
     * @param rqxhmc                 容器型号名称
     * @param pdaip                  指定pda停止读的ip
     * @return
     */
    @WebMethod
    MyResult getScanInfoOutCenterStop(@WebParam(name = "messageHeader") String messageHeader,
                                      @WebParam(name = "ContainerRegisterQuery") String containerRegisterQuery,
                                      @WebParam(name = "opOrgCode") String opOrgCode,
                                      @WebParam(name = "opOrgName") String opOrgName,
                                      @WebParam(name = "userCode") String userCode,
                                      @WebParam(name = "userName") String userName,
                                      @WebParam(name = "provice") String provice,
                                      @WebParam(name = "rqzlmc") String rqzlmc,
                                      @WebParam(name = "zbid") String zbid,
                                      @WebParam(name = "destinationOrgName") String destinationOrgName,
                                      @WebParam(name = "destinationOrgCode") String destinationOrgCode,
                                      @WebParam(name = "rqzl") String rqzl,
                                      @WebParam(name = "rqxh") String rqxh,
                                      @WebParam(name = "rqxhmc") String rqxhmc,
                                      @WebParam(name = "pdaip") String pdaip);
}
